XdeMcmc-class {XDE} | R Documentation

## Class for storing output from the Bayesian model

### Description

Stores output, including the last iteration of the MCMC.

### Objects from the Class

Objects can be created by calls of the form `new("XdeMcmc", studyNames, featureNames, iterations, seed, output, directory, lastMcmc, posteriorAvg, bayesianEffectSize)`.

### Slots

`studyNames`:
  Object of class `"character"`
`featureNames`:
  Object of class `"character"`
`iterations`:
  Object of class `"numeric"`
`directory`:
  Object of class `"character"`
`seed`:
  Object of class `"integer"`
`output`:
  Object of class `"numeric"`
`lastMcmc`:
  Object of class `"environment"`
`posteriorAvg`:
  Object of class `"NULLorMatrix"`
`bayesianEffectSize`:
  Object of class `"NULLorMatrix"`

### Methods

`$`
  `signature(x = "XdeMcmc")`
.standardizedDelta
  `signature(object = "XdeMcmc")`
bayesianEffectSize
  `signature(object = "XdeMcmc")`
bayesianEffectSize<-
  `signature(object = "XdeMcmc", value = "matrix")`
calculatePosteriorAvg
  `signature(object = "XdeMcmc")`: See `calculatePosteriorAvg`
directory
  `signature(object = "XdeMcmc")`
featureNames
  `signature(object = "XdeMcmc")`
initialize
  `signature(.Object = "XdeMcmc")`
iterations
  `signature(object = "XdeMcmc")`
lastMcmc
  `signature(object = "XdeMcmc")`
nrow
  `signature(x = "XdeMcmc")`
output
  `signature(object = "XdeMcmc")`
plot
  `signature(x = "XdeMcmc")`
posteriorAvg
  `signature(object = "XdeMcmc")`
seed
  `signature(object = "XdeMcmc")`
show
  `signature(object = "XdeMcmc")`
studyNames
  `signature(object = "XdeMcmc")`

### Author(s)

R. Scharpf

### See Also

The class for storing the data: `ExpressionSetList-class` and the class that contains default options for fitting the Bayesian model: `XdeParameter-class`

### Examples

    ##See XDE vignette:
    ## Not run:
    openVignette(package="XDE")
    ## End(Not run)

[Package XDE version 1.2.0 Index]